<template>
  <div class="flex status" :class="type">
    <div class="circle" :class="circleClass"></div>
    <span>{{ title }}</span>
  </div>
</template>

<script>
export default {
  props: ["type", "title"],
  computed: {
    circleClass() {
      return this.type + "-circle";
    },
  },
};
</script>

<style scoped>
.circle {
  width: 8px;
  aspect-ratio: 1;
  border-radius: 50%;
}
.status {
  --gap: 0.5rem;
  justify-content: center;
  border-radius: 0.3rem;
  width: 6rem;
  padding-block: 0.4em;
}
.draft {
  color: hsl(var(--clr-invoice-status-text));
  background: hsl(var(--clr-invoice-status-bg), 0.06);
}
.draft-circle {
  background: hsl(var(--clr-invoice-status-bg));
}
.paid {
  color: hsl(var(--clr-success));
  background: hsl(var(--clr-success), 0.06);
}
.paid-circle {
  background: hsl(var(--clr-success));
}
.pending {
  color: hsl(var(--clr-warning));
  background: hsl(var(--clr-warning), 0.06);
}
.pending-circle {
  background: hsl(var(--clr-warning));
}
</style>
